# Generated by Django 5.0.4 on 2024-04-22 13:34

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmarkdown.blocks
from django.db import migrations

import sites_faciles.content_manager.blocks
from sites_faciles import content_manager


class Migration(migrations.Migration):
    dependencies = [
        ("sites_faciles_content_manager", "0020_alter_contentpage_body_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="contentpage",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("paragraph", wagtail.blocks.RichTextBlock(label="Rich text")),
                    (
                        "badges_list",
                        wagtail.blocks.StreamBlock(
                            [
                                (
                                    "badge",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("text", wagtail.blocks.CharBlock(label="Badge label", required=False)),
                                            (
                                                "color",
                                                wagtail.blocks.ChoiceBlock(
                                                    choices=[
                                                        ("info", "Info"),
                                                        ("success", "Success"),
                                                        ("warning", "Warning"),
                                                        ("error", "Error"),
                                                        ("new", "New"),
                                                        ("grey", "Grey"),
                                                        ("green-tilleul-verveine", "Tilleul verveine"),
                                                        ("green-bourgeon", "Bourgeon"),
                                                        ("green-emeraude", "Émeraude"),
                                                        ("green-menthe", "Menthe"),
                                                        ("green-archipel", "Archipel"),
                                                        ("blue-ecume", "Écume"),
                                                        ("blue-cumulus", "Cumulus"),
                                                        ("purple-glycine", "Glycine"),
                                                        ("pink-macaron", "Macaron"),
                                                        ("pink-tuile", "Tuile"),
                                                        ("yellow-tournesol", "Tournesol"),
                                                        ("yellow-moutarde", "Moutarde"),
                                                        ("orange-terre-battue", "Terre battue"),
                                                        ("brown-cafe-creme", "Café crème"),
                                                        ("brown-caramel", "Caramel"),
                                                        ("brown-opera", "Opéra"),
                                                        ("beige-gris-galet", "Gris galet"),
                                                    ],
                                                    label="Badge color",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "hide_icon",
                                                wagtail.blocks.BooleanBlock(label="Hide badge icon", required=False),
                                            ),
                                        ],
                                        label="Badge",
                                    ),
                                )
                            ],
                            label="Badge list",
                        ),
                    ),
                    (
                        "image",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "En-tête 2"),
                                            ("h3", "En-tête 3"),
                                            ("h4", "En-tête 4"),
                                            ("h5", "En-tête 5"),
                                            ("h6", "En-tête 6"),
                                            ("p", "Paragraphe"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                        required=False,
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image")),
                                (
                                    "alt",
                                    wagtail.blocks.CharBlock(
                                        label="Alternative text (textual description of the image)", required=False
                                    ),
                                ),
                                ("caption", wagtail.blocks.CharBlock(label="Caption", required=False)),
                                ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                            ]
                        ),
                    ),
                    (
                        "imageandtext",
                        wagtail.blocks.StructBlock(
                            [
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image")),
                                (
                                    "image_side",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[("left", "Left"), ("right", "Right")],
                                        label="Side where the image is displayed",
                                    ),
                                ),
                                (
                                    "image_ratio",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[("3", "3/12"), ("5", "5/12"), ("6", "6/12")], label="Image width"
                                    ),
                                ),
                                ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                (
                                    "link",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "page",
                                                wagtail.blocks.PageChooserBlock(
                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                    label="Page",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "external_url",
                                                wagtail.blocks.URLBlock(
                                                    help_text="Use either this or the Page parameter.",
                                                    label="External URL",
                                                    required=False,
                                                ),
                                            ),
                                            ("text", wagtail.blocks.CharBlock(label="Link label", required=False)),
                                        ],
                                        help_text="The link is shown at the bottom of the text block, with an arrow",
                                        label="Link",
                                        required=False,
                                    ),
                                ),
                                (
                                    "link_label",
                                    wagtail.blocks.CharBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Link label (obsolete)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Internal link (obsolete)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "link_url",
                                    wagtail.blocks.URLBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Link URL (obsolete)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="Image and text",
                        ),
                    ),
                    (
                        "alert",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Message title", required=False)),
                                ("description", wagtail.blocks.TextBlock(label="Message text", required=False)),
                                (
                                    "level",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("error", "Erreur"),
                                            ("success", "Succès"),
                                            ("info", "Information"),
                                            ("warning", "Attention"),
                                        ],
                                        label="Message type",
                                    ),
                                ),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "En-tête 2"),
                                            ("h3", "En-tête 3"),
                                            ("h4", "En-tête 4"),
                                            ("h5", "En-tête 5"),
                                            ("h6", "En-tête 6"),
                                            ("p", "Paragraphe"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                    ),
                                ),
                            ],
                            label="Alert message",
                        ),
                    ),
                    (
                        "callout",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Callout title", required=False)),
                                ("text", wagtail.blocks.TextBlock(label="Callout text", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "En-tête 2"),
                                            ("h3", "En-tête 3"),
                                            ("h4", "En-tête 4"),
                                            ("h5", "En-tête 5"),
                                            ("h6", "En-tête 6"),
                                            ("p", "Paragraphe"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                    ),
                                ),
                            ],
                            label="Callout",
                        ),
                    ),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image", required=False)),
                                ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                ("author_name", wagtail.blocks.CharBlock(label="Author name")),
                                ("author_title", wagtail.blocks.CharBlock(label="Author title", required=False)),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("green-tilleul-verveine", "Tilleul verveine"),
                                            ("green-bourgeon", "Bourgeon"),
                                            ("green-emeraude", "Émeraude"),
                                            ("green-menthe", "Menthe"),
                                            ("green-archipel", "Archipel"),
                                            ("blue-ecume", "Écume"),
                                            ("blue-cumulus", "Cumulus"),
                                            ("purple-glycine", "Glycine"),
                                            ("pink-macaron", "Macaron"),
                                            ("pink-tuile", "Tuile"),
                                            ("yellow-tournesol", "Tournesol"),
                                            ("yellow-moutarde", "Moutarde"),
                                            ("orange-terre-battue", "Terre battue"),
                                            ("brown-cafe-creme", "Café crème"),
                                            ("brown-caramel", "Caramel"),
                                            ("brown-opera", "Opéra"),
                                            ("beige-gris-galet", "Gris galet"),
                                        ],
                                        label="Color",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="Quote",
                        ),
                    ),
                    (
                        "video",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title", required=False)),
                                ("caption", wagtail.blocks.CharBlock(label="Caption")),
                                (
                                    "url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                        label="Video URL",
                                    ),
                                ),
                            ],
                            label="Video",
                        ),
                    ),
                    (
                        "accordions",
                        wagtail.blocks.StreamBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title")),
                                (
                                    "accordion",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("title", wagtail.blocks.CharBlock(label="Title")),
                                            ("content", wagtail.blocks.RichTextBlock(label="Content")),
                                        ],
                                        label="Accordion",
                                        max_num=15,
                                        min_num=1,
                                    ),
                                ),
                            ],
                            label="Accordions",
                        ),
                    ),
                    (
                        "stepper",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title")),
                                ("total", wagtail.blocks.IntegerBlock(label="Number of steps")),
                                ("current", wagtail.blocks.IntegerBlock(label="Current step")),
                                (
                                    "steps",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "step",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        ("title", wagtail.blocks.CharBlock(label="Title")),
                                                        ("detail", wagtail.blocks.TextBlock(label="Detail")),
                                                    ],
                                                    label="Step",
                                                ),
                                            )
                                        ],
                                        label="Steps",
                                    ),
                                ),
                            ],
                            label="Stepper",
                        ),
                    ),
                    (
                        "tags_list",
                        wagtail.blocks.StreamBlock(
                            [
                                (
                                    "tag",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("label", wagtail.blocks.CharBlock(label="Title")),
                                            (
                                                "is_small",
                                                wagtail.blocks.BooleanBlock(label="Small tag", required=False),
                                            ),
                                            (
                                                "color",
                                                wagtail.blocks.ChoiceBlock(
                                                    choices=[
                                                        ("green-tilleul-verveine", "Tilleul verveine"),
                                                        ("green-bourgeon", "Bourgeon"),
                                                        ("green-emeraude", "Émeraude"),
                                                        ("green-menthe", "Menthe"),
                                                        ("green-archipel", "Archipel"),
                                                        ("blue-ecume", "Écume"),
                                                        ("blue-cumulus", "Cumulus"),
                                                        ("purple-glycine", "Glycine"),
                                                        ("pink-macaron", "Macaron"),
                                                        ("pink-tuile", "Tuile"),
                                                        ("yellow-tournesol", "Tournesol"),
                                                        ("yellow-moutarde", "Moutarde"),
                                                        ("orange-terre-battue", "Terre battue"),
                                                        ("brown-cafe-creme", "Café crème"),
                                                        ("brown-caramel", "Caramel"),
                                                        ("brown-opera", "Opéra"),
                                                        ("beige-gris-galet", "Gris galet"),
                                                    ],
                                                    help_text="Only for clickable tags",
                                                    label="Tag color",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "icon_class",
                                                content_manager.blocks.IconPickerBlock(label="Icon", required=False),
                                            ),
                                            (
                                                "link",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                label="Page",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "external_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use either this or the Page parameter.",
                                                                label="External URL",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    required=False,
                                                ),
                                            ),
                                        ],
                                        label="Tag",
                                    ),
                                )
                            ],
                            label="Tag list",
                        ),
                    ),
                    ("markdown", wagtailmarkdown.blocks.MarkdownBlock(label="Markdown")),
                    (
                        "separator",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "top_margin",
                                    wagtail.blocks.IntegerBlock(
                                        default=3, label="Top margin", max_value=15, min_value=0
                                    ),
                                ),
                                (
                                    "bottom_margin",
                                    wagtail.blocks.IntegerBlock(
                                        default=3, label="Bottom margin", max_value=15, min_value=0
                                    ),
                                ),
                            ],
                            label="Separator",
                        ),
                    ),
                    (
                        "multicolumns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "bg_image",
                                    wagtail.images.blocks.ImageChooserBlock(label="Background image", required=False),
                                ),
                                (
                                    "bg_color_class",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            (
                                                "Primary colors",
                                                [("blue-france", "Blue France"), ("red-marianne", "Red Marianne")],
                                            ),
                                            ("Neutral colors", [("grey", "Grey")]),
                                            (
                                                "Illustration colors",
                                                [
                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                    ("green-bourgeon", "Bourgeon"),
                                                    ("green-emeraude", "Émeraude"),
                                                    ("green-menthe", "Menthe"),
                                                    ("green-archipel", "Archipel"),
                                                    ("blue-ecume", "Écume"),
                                                    ("blue-cumulus", "Cumulus"),
                                                    ("purple-glycine", "Glycine"),
                                                    ("pink-macaron", "Macaron"),
                                                    ("pink-tuile", "Tuile"),
                                                    ("yellow-tournesol", "Tournesol"),
                                                    ("yellow-moutarde", "Moutarde"),
                                                    ("orange-terre-battue", "Terre battue"),
                                                    ("brown-cafe-creme", "Café crème"),
                                                    ("brown-caramel", "Caramel"),
                                                    ("brown-opera", "Opéra"),
                                                    ("beige-gris-galet", "Gris galet"),
                                                ],
                                            ),
                                        ],
                                        help_text="Uses the French Design System colors",
                                        label="Background color",
                                        required=False,
                                    ),
                                ),
                                (
                                    "bg_color",
                                    wagtail.blocks.RegexBlock(
                                        error_messages={"invalid": "Incorrect color format, must be #fff or #f5f5f5"},
                                        help_text="(This field is obsolete and will be removed in the near future. Replace it with the background picture)",
                                        label="Background color, hexadecimal format (obsolete)",
                                        regex="^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$",
                                        required=False,
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="Title", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "En-tête 2"),
                                            ("h3", "En-tête 3"),
                                            ("h4", "En-tête 4"),
                                            ("h5", "En-tête 5"),
                                            ("h6", "En-tête 6"),
                                            ("p", "Paragraphe"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 2.",
                                        label="Heading level",
                                        required=False,
                                    ),
                                ),
                                (
                                    "columns",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                            (
                                                "image",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "En-tête 2"),
                                                                    ("h3", "En-tête 3"),
                                                                    ("h4", "En-tête 4"),
                                                                    ("h5", "En-tête 5"),
                                                                    ("h6", "En-tête 6"),
                                                                    ("p", "Paragraphe"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "alt",
                                                            wagtail.blocks.CharBlock(
                                                                label="Alternative text (textual description of the image)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                                                    ],
                                                    label="Image",
                                                ),
                                            ),
                                            (
                                                "video",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        ("caption", wagtail.blocks.CharBlock(label="Caption")),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                                                label="Video URL",
                                                            ),
                                                        ),
                                                    ],
                                                    label="Video",
                                                ),
                                            ),
                                            (
                                                "quote",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                                        ("author_name", wagtail.blocks.CharBlock(label="Author name")),
                                                        (
                                                            "author_title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                                    ("green-bourgeon", "Bourgeon"),
                                                                    ("green-emeraude", "Émeraude"),
                                                                    ("green-menthe", "Menthe"),
                                                                    ("green-archipel", "Archipel"),
                                                                    ("blue-ecume", "Écume"),
                                                                    ("blue-cumulus", "Cumulus"),
                                                                    ("purple-glycine", "Glycine"),
                                                                    ("pink-macaron", "Macaron"),
                                                                    ("pink-tuile", "Tuile"),
                                                                    ("yellow-tournesol", "Tournesol"),
                                                                    ("yellow-moutarde", "Moutarde"),
                                                                    ("orange-terre-battue", "Terre battue"),
                                                                    ("brown-cafe-creme", "Café crème"),
                                                                    ("brown-caramel", "Caramel"),
                                                                    ("brown-opera", "Opéra"),
                                                                    ("beige-gris-galet", "Gris galet"),
                                                                ],
                                                                label="Color",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Quote",
                                                ),
                                            ),
                                            (
                                                "text_cta",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Rich text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "cta_label",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="The link appears as a button under the text block",
                                                                label="Call to action label",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "cta_url",
                                                            wagtail.blocks.CharBlock(label="Link", required=False),
                                                        ),
                                                    ],
                                                    label="Text and call to action",
                                                ),
                                            ),
                                            (
                                                "iframe",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Accessibility: The title should describe, in a clear and concise manner, the embedded content.",
                                                                label="Title",
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Example for Tally: https://tally.so/embed/w2jMRa",
                                                                label="URL of the iframe",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(label="Height (in pixels)"),
                                                        ),
                                                    ],
                                                    label="Iframe",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        ("title", wagtail.blocks.CharBlock(label="Title")),
                                                        ("description", wagtail.blocks.TextBlock(label="Content")),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                group="target", label="Link", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "document",
                                                            wagtail.documents.blocks.DocumentChooserBlock(
                                                                group="target",
                                                                help_text="Select a document to make the card link to it (if the 'Link' field is not populated.)",
                                                                label="or Document",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Vertical card",
                                                ),
                                            ),
                                        ],
                                        label="Columns",
                                    ),
                                ),
                            ],
                            group="Page structure",
                            label="Multiple columns",
                        ),
                    ),
                    (
                        "fullwidthbackground",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "bg_image",
                                    wagtail.images.blocks.ImageChooserBlock(label="Background image", required=False),
                                ),
                                (
                                    "bg_color_class",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            (
                                                "Primary colors",
                                                [("blue-france", "Blue France"), ("red-marianne", "Red Marianne")],
                                            ),
                                            ("Neutral colors", [("grey", "Grey")]),
                                            (
                                                "Illustration colors",
                                                [
                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                    ("green-bourgeon", "Bourgeon"),
                                                    ("green-emeraude", "Émeraude"),
                                                    ("green-menthe", "Menthe"),
                                                    ("green-archipel", "Archipel"),
                                                    ("blue-ecume", "Écume"),
                                                    ("blue-cumulus", "Cumulus"),
                                                    ("purple-glycine", "Glycine"),
                                                    ("pink-macaron", "Macaron"),
                                                    ("pink-tuile", "Tuile"),
                                                    ("yellow-tournesol", "Tournesol"),
                                                    ("yellow-moutarde", "Moutarde"),
                                                    ("orange-terre-battue", "Terre battue"),
                                                    ("brown-cafe-creme", "Café crème"),
                                                    ("brown-caramel", "Caramel"),
                                                    ("brown-opera", "Opéra"),
                                                    ("beige-gris-galet", "Gris galet"),
                                                ],
                                            ),
                                        ],
                                        help_text="Uses the French Design System colors",
                                        label="Background color",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                            (
                                                "image",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "En-tête 2"),
                                                                    ("h3", "En-tête 3"),
                                                                    ("h4", "En-tête 4"),
                                                                    ("h5", "En-tête 5"),
                                                                    ("h6", "En-tête 6"),
                                                                    ("p", "Paragraphe"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "alt",
                                                            wagtail.blocks.CharBlock(
                                                                label="Alternative text (textual description of the image)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                                                    ],
                                                    label="Image",
                                                ),
                                            ),
                                            (
                                                "video",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        ("caption", wagtail.blocks.CharBlock(label="Caption")),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                                                label="Video URL",
                                                            ),
                                                        ),
                                                    ],
                                                    label="Video",
                                                ),
                                            ),
                                            (
                                                "quote",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                                        ("author_name", wagtail.blocks.CharBlock(label="Author name")),
                                                        (
                                                            "author_title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                                    ("green-bourgeon", "Bourgeon"),
                                                                    ("green-emeraude", "Émeraude"),
                                                                    ("green-menthe", "Menthe"),
                                                                    ("green-archipel", "Archipel"),
                                                                    ("blue-ecume", "Écume"),
                                                                    ("blue-cumulus", "Cumulus"),
                                                                    ("purple-glycine", "Glycine"),
                                                                    ("pink-macaron", "Macaron"),
                                                                    ("pink-tuile", "Tuile"),
                                                                    ("yellow-tournesol", "Tournesol"),
                                                                    ("yellow-moutarde", "Moutarde"),
                                                                    ("orange-terre-battue", "Terre battue"),
                                                                    ("brown-cafe-creme", "Café crème"),
                                                                    ("brown-caramel", "Caramel"),
                                                                    ("brown-opera", "Opéra"),
                                                                    ("beige-gris-galet", "Gris galet"),
                                                                ],
                                                                label="Color",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Quote",
                                                ),
                                            ),
                                            (
                                                "text_cta",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Rich text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "cta_label",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="The link appears as a button under the text block",
                                                                label="Call to action label",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "cta_url",
                                                            wagtail.blocks.CharBlock(label="Link", required=False),
                                                        ),
                                                    ],
                                                    label="Text and call to action",
                                                ),
                                            ),
                                            (
                                                "iframe",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Accessibility: The title should describe, in a clear and concise manner, the embedded content.",
                                                                label="Title",
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Example for Tally: https://tally.so/embed/w2jMRa",
                                                                label="URL of the iframe",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(label="Height (in pixels)"),
                                                        ),
                                                    ],
                                                    label="Iframe",
                                                ),
                                            ),
                                            (
                                                "image_and_text",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "image_side",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[("left", "Left"), ("right", "Right")],
                                                                label="Side where the image is displayed",
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[("3", "3/12"), ("5", "5/12"), ("6", "6/12")],
                                                                label="Image width",
                                                            ),
                                                        ),
                                                        ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                                        (
                                                            "link",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "page",
                                                                        wagtail.blocks.PageChooserBlock(
                                                                            help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                            label="Page",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "external_url",
                                                                        wagtail.blocks.URLBlock(
                                                                            help_text="Use either this or the Page parameter.",
                                                                            label="External URL",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Link label", required=False
                                                                        ),
                                                                    ),
                                                                ],
                                                                help_text="The link is shown at the bottom of the text block, with an arrow",
                                                                label="Link",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link_label",
                                                            wagtail.blocks.CharBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Link label (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Internal link (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link_url",
                                                            wagtail.blocks.URLBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Link URL (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Image and text",
                                                ),
                                            ),
                                        ],
                                        label="Content",
                                    ),
                                ),
                            ],
                            group="Page structure",
                            label="Full width background",
                        ),
                    ),
                    (
                        "html",
                        wagtail.blocks.RawHTMLBlock(
                            help_text="Warning: Use HTML block with caution. Malicious code can compromise the security of the site.",
                            readonly=True,
                        ),
                    ),
                ],
                blank=True,
            ),
        ),
    ]
