# Generated by Django 5.0.4 on 2024-04-22 14:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("sites_faciles_content_manager", "0021_alter_contentpage_body"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="cmsdsfrconfig",
            options={"verbose_name": "Site configuration", "verbose_name_plural": "Site configurations"},
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="beta_tag",
            field=models.BooleanField(default=False, verbose_name="Show the BETA tag next to the title"),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="newsletter_description",
            field=models.TextField(blank=True, default="", verbose_name="Newsletter description"),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="newsletter_url",
            field=models.URLField(blank=True, default="", verbose_name="Newsletter registration URL"),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="notice",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The important notice banner should only be used for essential and temporary information.             (Excessive or continuous use risks “drowning” the message.)",
                verbose_name="Important notice",
            ),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="operator_logo_alt",
            field=models.CharField(
                blank=True,
                help_text="Must contain the text present in the image.",
                max_length=200,
                verbose_name="Logo alt text",
            ),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="operator_logo_file",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Operator logo",
            ),
        ),
        migrations.AddField(
            model_name="cmsdsfrconfig",
            name="operator_logo_width",
            field=models.DecimalField(
                decimal_places=1,
                default="0.0",
                help_text="To be adjusted according to the width of the logo.            Example for a vertical logo: 3.5, Example for a horizontal logo: 8.",
                max_digits=3,
                null=True,
                verbose_name="Width (em)",
            ),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="footer_brand",
            field=models.CharField(
                blank=True, default="Intitulé officiel", max_length=200, verbose_name="Institution (footer)"
            ),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="footer_brand_html",
            field=models.CharField(
                blank=True,
                default="Intitulé<br />officiel",
                max_length=200,
                verbose_name="Institution with line break (footer)",
            ),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="header_brand",
            field=models.CharField(
                blank=True,
                default="Intitulé officiel",
                help_text="Institution brand as defined on page https://www.info.gouv.fr/marque-de-letat/le-bloc-marque",
                max_length=200,
                verbose_name="Institution (header)",
            ),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="header_brand_html",
            field=models.CharField(
                blank=True,
                default="Intitulé<br />officiel",
                help_text="Institution brand with <br /> tags for line breaks",
                max_length=200,
                verbose_name="Institution with line break (header)",
            ),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="site_tagline",
            field=models.CharField(blank=True, default="Site tagline", max_length=200, verbose_name="Site tagline"),
        ),
        migrations.AlterField(
            model_name="cmsdsfrconfig",
            name="site_title",
            field=models.CharField(blank=True, default="Site title", max_length=200, verbose_name="Site title"),
        ),
    ]
