# Generated by Django 5.0.6 on 2024-05-28 16:13

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmarkdown.blocks
from django.db import migrations

import sites_faciles.content_manager.blocks
from sites_faciles import content_manager


class Migration(migrations.Migration):
    dependencies = [
        ("sites_faciles_content_manager", "0025_alter_contentpage_body"),
    ]

    operations = [
        migrations.AlterField(
            model_name="contentpage",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("paragraph", wagtail.blocks.RichTextBlock(label="Rich text")),
                    (
                        "badges_list",
                        wagtail.blocks.StreamBlock(
                            [
                                (
                                    "badge",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("text", wagtail.blocks.CharBlock(label="Badge label", required=False)),
                                            (
                                                "color",
                                                wagtail.blocks.ChoiceBlock(
                                                    choices=[
                                                        ("", [("new", "New"), ("grey", "Grey")]),
                                                        (
                                                            "System colors",
                                                            [
                                                                ("info", "Info"),
                                                                ("success", "Success"),
                                                                ("warning", "Warning"),
                                                                ("error", "Error"),
                                                            ],
                                                        ),
                                                        (
                                                            "Illustration colors",
                                                            [
                                                                ("green-tilleul-verveine", "Tilleul verveine"),
                                                                ("green-bourgeon", "Bourgeon"),
                                                                ("green-emeraude", "Émeraude"),
                                                                ("green-menthe", "Menthe"),
                                                                ("green-archipel", "Archipel"),
                                                                ("blue-ecume", "Écume"),
                                                                ("blue-cumulus", "Cumulus"),
                                                                ("purple-glycine", "Glycine"),
                                                                ("pink-macaron", "Macaron"),
                                                                ("pink-tuile", "Tuile"),
                                                                ("yellow-tournesol", "Tournesol"),
                                                                ("yellow-moutarde", "Moutarde"),
                                                                ("orange-terre-battue", "Terre battue"),
                                                                ("brown-cafe-creme", "Café crème"),
                                                                ("brown-caramel", "Caramel"),
                                                                ("brown-opera", "Opéra"),
                                                                ("beige-gris-galet", "Gris galet"),
                                                            ],
                                                        ),
                                                    ],
                                                    label="Badge color",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "hide_icon",
                                                wagtail.blocks.BooleanBlock(label="Hide badge icon", required=False),
                                            ),
                                        ],
                                        label="Badge",
                                    ),
                                )
                            ],
                            label="Badge list",
                        ),
                    ),
                    (
                        "image",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "Heading 2"),
                                            ("h3", "Heading 3"),
                                            ("h4", "Heading 4"),
                                            ("h5", "Heading 5"),
                                            ("h6", "Heading 6"),
                                            ("p", "Paragraph"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                        required=False,
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image")),
                                (
                                    "alt",
                                    wagtail.blocks.CharBlock(
                                        label="Alternative text (textual description of the image)", required=False
                                    ),
                                ),
                                (
                                    "width",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("fr-content-media--sm", "Small"),
                                            ("", "Medium"),
                                            ("fr-content-media--lg", "Large"),
                                        ],
                                        label="Witdh",
                                        required=False,
                                    ),
                                ),
                                (
                                    "image_ratio",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("fr-ratio-32x9", "32x9"),
                                            ("fr-ratio-16x9", "16x9"),
                                            ("fr-ratio-3x2", "3x2"),
                                            ("fr-ratio-4x3", "4x3"),
                                            ("fr-ratio-1x1", "1x1"),
                                            ("fr-ratio-3x4", "3x4"),
                                            ("fr-ratio-2x3", "2x3"),
                                        ],
                                        label="Image ratio",
                                        required=False,
                                    ),
                                ),
                                ("caption", wagtail.blocks.CharBlock(label="Caption", required=False)),
                                ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                            ]
                        ),
                    ),
                    (
                        "imageandtext",
                        wagtail.blocks.StructBlock(
                            [
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image")),
                                (
                                    "image_side",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[("left", "Left"), ("right", "Right")],
                                        label="Side where the image is displayed",
                                    ),
                                ),
                                (
                                    "image_ratio",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[("3", "3/12"), ("5", "5/12"), ("6", "6/12")], label="Image width"
                                    ),
                                ),
                                ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                (
                                    "link",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "page",
                                                wagtail.blocks.PageChooserBlock(
                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                    label="Page",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "external_url",
                                                wagtail.blocks.URLBlock(
                                                    help_text="Use either this or the Page parameter.",
                                                    label="External URL",
                                                    required=False,
                                                ),
                                            ),
                                            ("text", wagtail.blocks.CharBlock(label="Link label", required=False)),
                                        ],
                                        help_text="The link is shown at the bottom of the text block, with an arrow",
                                        label="Link",
                                        required=False,
                                    ),
                                ),
                                (
                                    "link_label",
                                    wagtail.blocks.CharBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Link label (obsolete)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Internal link (obsolete)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "link_url",
                                    wagtail.blocks.URLBlock(
                                        group="obsolete",
                                        help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                        label="Link URL (obsolete)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="Image and text",
                        ),
                    ),
                    (
                        "alert",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Message title", required=False)),
                                ("description", wagtail.blocks.TextBlock(label="Message text", required=False)),
                                (
                                    "level",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("error", "Error"),
                                            ("success", "Success"),
                                            ("info", "Information"),
                                            ("warning", "Warning"),
                                        ],
                                        label="Message type",
                                    ),
                                ),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "Heading 2"),
                                            ("h3", "Heading 3"),
                                            ("h4", "Heading 4"),
                                            ("h5", "Heading 5"),
                                            ("h6", "Heading 6"),
                                            ("p", "Paragraph"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                    ),
                                ),
                            ],
                            label="Alert message",
                        ),
                    ),
                    (
                        "callout",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Callout title", required=False)),
                                ("text", wagtail.blocks.TextBlock(label="Callout text", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "Heading 2"),
                                            ("h3", "Heading 3"),
                                            ("h4", "Heading 4"),
                                            ("h5", "Heading 5"),
                                            ("h6", "Heading 6"),
                                            ("p", "Paragraph"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                    ),
                                ),
                            ],
                            label="Callout",
                        ),
                    ),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image", required=False)),
                                ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                ("author_name", wagtail.blocks.CharBlock(label="Author name", required=False)),
                                ("author_title", wagtail.blocks.CharBlock(label="Author title", required=False)),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("green-tilleul-verveine", "Tilleul verveine"),
                                            ("green-bourgeon", "Bourgeon"),
                                            ("green-emeraude", "Émeraude"),
                                            ("green-menthe", "Menthe"),
                                            ("green-archipel", "Archipel"),
                                            ("blue-ecume", "Écume"),
                                            ("blue-cumulus", "Cumulus"),
                                            ("purple-glycine", "Glycine"),
                                            ("pink-macaron", "Macaron"),
                                            ("pink-tuile", "Tuile"),
                                            ("yellow-tournesol", "Tournesol"),
                                            ("yellow-moutarde", "Moutarde"),
                                            ("orange-terre-battue", "Terre battue"),
                                            ("brown-cafe-creme", "Café crème"),
                                            ("brown-caramel", "Caramel"),
                                            ("brown-opera", "Opéra"),
                                            ("beige-gris-galet", "Gris galet"),
                                        ],
                                        label="Color",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="Quote",
                        ),
                    ),
                    (
                        "video",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Video title", required=False)),
                                ("caption", wagtail.blocks.CharBlock(label="Caption", required=False)),
                                (
                                    "url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                        label="Video URL",
                                    ),
                                ),
                                (
                                    "width",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("fr-content-media--sm", "Small"),
                                            ("", "Medium"),
                                            ("fr-content-media--lg", "Large"),
                                        ],
                                        label="Witdh",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_ratio",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("fr-ratio-16x9", "16x9"),
                                            ("fr-ratio-4x3", "4x3"),
                                            ("fr-ratio-1x1", "1x1"),
                                        ],
                                        label="Video ratio",
                                        required=False,
                                    ),
                                ),
                                (
                                    "transcription",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "title",
                                                wagtail.blocks.CharBlock(
                                                    default="Transcription", label="Title", required=False
                                                ),
                                            ),
                                            (
                                                "content",
                                                wagtail.blocks.RichTextBlock(
                                                    label="Transcription content", required=False
                                                ),
                                            ),
                                        ],
                                        label="Transcription",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="Video",
                        ),
                    ),
                    (
                        "transcription",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(default="Transcription", label="Title", required=False),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.RichTextBlock(label="Transcription content", required=False),
                                ),
                            ],
                            label="Transcription",
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title")),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "Heading 2"),
                                            ("h3", "Heading 3"),
                                            ("h4", "Heading 4"),
                                            ("h5", "Heading 5"),
                                            ("h6", "Heading 6"),
                                            ("p", "Paragraph"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 3.",
                                        label="Heading level",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(
                                        help_text="Can contain HTML.", label="Content", required=False
                                    ),
                                ),
                                ("image", wagtail.images.blocks.ImageChooserBlock(label="Image", required=False)),
                                (
                                    "image_ratio",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("fr-card--horizontal-tier", "1/3"),
                                            ("fr-card--horizontal-half", "50/50"),
                                        ],
                                        label="Image ratio",
                                        required=False,
                                    ),
                                ),
                                (
                                    "image_badge",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "badge",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Badge label", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("", [("new", "New"), ("grey", "Grey")]),
                                                                    (
                                                                        "System colors",
                                                                        [
                                                                            ("info", "Info"),
                                                                            ("success", "Success"),
                                                                            ("warning", "Warning"),
                                                                            ("error", "Error"),
                                                                        ],
                                                                    ),
                                                                    (
                                                                        "Illustration colors",
                                                                        [
                                                                            (
                                                                                "green-tilleul-verveine",
                                                                                "Tilleul verveine",
                                                                            ),
                                                                            ("green-bourgeon", "Bourgeon"),
                                                                            ("green-emeraude", "Émeraude"),
                                                                            ("green-menthe", "Menthe"),
                                                                            ("green-archipel", "Archipel"),
                                                                            ("blue-ecume", "Écume"),
                                                                            ("blue-cumulus", "Cumulus"),
                                                                            ("purple-glycine", "Glycine"),
                                                                            ("pink-macaron", "Macaron"),
                                                                            ("pink-tuile", "Tuile"),
                                                                            ("yellow-tournesol", "Tournesol"),
                                                                            ("yellow-moutarde", "Moutarde"),
                                                                            ("orange-terre-battue", "Terre battue"),
                                                                            ("brown-cafe-creme", "Café crème"),
                                                                            ("brown-caramel", "Caramel"),
                                                                            ("brown-opera", "Opéra"),
                                                                            ("beige-gris-galet", "Gris galet"),
                                                                        ],
                                                                    ),
                                                                ],
                                                                label="Badge color",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hide_icon",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Hide badge icon", required=False
                                                            ),
                                                        ),
                                                    ],
                                                    label="Badge",
                                                ),
                                            )
                                        ],
                                        help_text="Only used if the card has an image.",
                                        label="Image area badge",
                                        max_num=1,
                                        required=False,
                                    ),
                                ),
                                ("url", wagtail.blocks.URLBlock(group="target", label="Link", required=False)),
                                (
                                    "document",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        group="target",
                                        help_text="Select a document to make the card link to it (if the 'Link' field is not populated.)",
                                        label="or Document",
                                        required=False,
                                    ),
                                ),
                                (
                                    "top_detail_text",
                                    wagtail.blocks.CharBlock(label="Top detail: text", required=False),
                                ),
                                (
                                    "top_detail_icon",
                                    content_manager.blocks.IconPickerBlock(label="Top detail: icon", required=False),
                                ),
                                (
                                    "top_detail_badges_tags",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "badges",
                                                wagtail.blocks.StreamBlock(
                                                    [
                                                        (
                                                            "badge",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Badge label", required=False
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "color",
                                                                        wagtail.blocks.ChoiceBlock(
                                                                            choices=[
                                                                                (
                                                                                    "",
                                                                                    [("new", "New"), ("grey", "Grey")],
                                                                                ),
                                                                                (
                                                                                    "System colors",
                                                                                    [
                                                                                        ("info", "Info"),
                                                                                        ("success", "Success"),
                                                                                        ("warning", "Warning"),
                                                                                        ("error", "Error"),
                                                                                    ],
                                                                                ),
                                                                                (
                                                                                    "Illustration colors",
                                                                                    [
                                                                                        (
                                                                                            "green-tilleul-verveine",
                                                                                            "Tilleul verveine",
                                                                                        ),
                                                                                        ("green-bourgeon", "Bourgeon"),
                                                                                        ("green-emeraude", "Émeraude"),
                                                                                        ("green-menthe", "Menthe"),
                                                                                        ("green-archipel", "Archipel"),
                                                                                        ("blue-ecume", "Écume"),
                                                                                        ("blue-cumulus", "Cumulus"),
                                                                                        ("purple-glycine", "Glycine"),
                                                                                        ("pink-macaron", "Macaron"),
                                                                                        ("pink-tuile", "Tuile"),
                                                                                        (
                                                                                            "yellow-tournesol",
                                                                                            "Tournesol",
                                                                                        ),
                                                                                        (
                                                                                            "yellow-moutarde",
                                                                                            "Moutarde",
                                                                                        ),
                                                                                        (
                                                                                            "orange-terre-battue",
                                                                                            "Terre battue",
                                                                                        ),
                                                                                        (
                                                                                            "brown-cafe-creme",
                                                                                            "Café crème",
                                                                                        ),
                                                                                        ("brown-caramel", "Caramel"),
                                                                                        ("brown-opera", "Opéra"),
                                                                                        (
                                                                                            "beige-gris-galet",
                                                                                            "Gris galet",
                                                                                        ),
                                                                                    ],
                                                                                ),
                                                                            ],
                                                                            label="Badge color",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "hide_icon",
                                                                        wagtail.blocks.BooleanBlock(
                                                                            label="Hide badge icon", required=False
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Badge",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                            (
                                                "tags",
                                                wagtail.blocks.StreamBlock(
                                                    [
                                                        (
                                                            "tag",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    ("label", wagtail.blocks.CharBlock(label="Title")),
                                                                    (
                                                                        "is_small",
                                                                        wagtail.blocks.BooleanBlock(
                                                                            label="Small tag", required=False
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "color",
                                                                        wagtail.blocks.ChoiceBlock(
                                                                            choices=[
                                                                                (
                                                                                    "green-tilleul-verveine",
                                                                                    "Tilleul verveine",
                                                                                ),
                                                                                ("green-bourgeon", "Bourgeon"),
                                                                                ("green-emeraude", "Émeraude"),
                                                                                ("green-menthe", "Menthe"),
                                                                                ("green-archipel", "Archipel"),
                                                                                ("blue-ecume", "Écume"),
                                                                                ("blue-cumulus", "Cumulus"),
                                                                                ("purple-glycine", "Glycine"),
                                                                                ("pink-macaron", "Macaron"),
                                                                                ("pink-tuile", "Tuile"),
                                                                                ("yellow-tournesol", "Tournesol"),
                                                                                ("yellow-moutarde", "Moutarde"),
                                                                                (
                                                                                    "orange-terre-battue",
                                                                                    "Terre battue",
                                                                                ),
                                                                                ("brown-cafe-creme", "Café crème"),
                                                                                ("brown-caramel", "Caramel"),
                                                                                ("brown-opera", "Opéra"),
                                                                                ("beige-gris-galet", "Gris galet"),
                                                                            ],
                                                                            help_text="Only for clickable tags",
                                                                            label="Tag color",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "icon_class",
                                                                        content_manager.blocks.IconPickerBlock(
                                                                            label="Icon", required=False
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "link",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                        label="Page",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "external_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Use either this or the Page parameter.",
                                                                                        label="External URL",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Tag",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Top detail: badges or tags",
                                        max_num=1,
                                        required=False,
                                    ),
                                ),
                                (
                                    "bottom_detail_text",
                                    wagtail.blocks.CharBlock(
                                        help_text="Incompatible with the bottom call-to-action",
                                        label="Bottom detail: text",
                                        required=False,
                                    ),
                                ),
                                (
                                    "bottom_detail_icon",
                                    content_manager.blocks.IconPickerBlock(
                                        label="Bottom detail: icon", required=False
                                    ),
                                ),
                                (
                                    "call_to_action",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "links",
                                                wagtail.blocks.StreamBlock(
                                                    [
                                                        (
                                                            "link",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "page",
                                                                        wagtail.blocks.PageChooserBlock(
                                                                            help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                            label="Page",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "external_url",
                                                                        wagtail.blocks.URLBlock(
                                                                            help_text="Use either this or the Page parameter.",
                                                                            label="External URL",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Link label", required=False
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Link",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                            (
                                                "buttons",
                                                wagtail.blocks.StreamBlock(
                                                    [
                                                        (
                                                            "button",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "page",
                                                                        wagtail.blocks.PageChooserBlock(
                                                                            help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                            label="Page",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "external_url",
                                                                        wagtail.blocks.URLBlock(
                                                                            help_text="Use either this or the Page parameter.",
                                                                            label="External URL",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Link label", required=False
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "button_type",
                                                                        wagtail.blocks.ChoiceBlock(
                                                                            choices=[
                                                                                ("fr-btn", "Primary"),
                                                                                (
                                                                                    "fr-btn fr-btn--secondary",
                                                                                    "Secundary",
                                                                                ),
                                                                                (
                                                                                    "fr-btn fr-btn--tertiary",
                                                                                    "Tertiary",
                                                                                ),
                                                                                (
                                                                                    "fr-btn fr-btn--tertiary-no-outline",
                                                                                    "Tertiary without border",
                                                                                ),
                                                                            ],
                                                                            label="Button type",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Button",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        help_text="Incompatible with the bottom detail text",
                                        label="Bottom call-to-action: links or buttons",
                                        max_num=1,
                                        required=False,
                                    ),
                                ),
                                (
                                    "grey_background",
                                    wagtail.blocks.BooleanBlock(label="Card with grey background", required=False),
                                ),
                                (
                                    "no_background",
                                    wagtail.blocks.BooleanBlock(label="Card without background", required=False),
                                ),
                                (
                                    "no_border",
                                    wagtail.blocks.BooleanBlock(label="Card without border", required=False),
                                ),
                                ("shadow", wagtail.blocks.BooleanBlock(label="Card with a shadow", required=False)),
                            ],
                            label="Horizontal card",
                        ),
                    ),
                    (
                        "accordions",
                        wagtail.blocks.StreamBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title")),
                                (
                                    "accordion",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("title", wagtail.blocks.CharBlock(label="Title")),
                                            ("content", wagtail.blocks.RichTextBlock(label="Content")),
                                        ],
                                        label="Accordion",
                                        max_num=15,
                                        min_num=1,
                                    ),
                                ),
                            ],
                            label="Accordions",
                        ),
                    ),
                    (
                        "stepper",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Title")),
                                ("total", wagtail.blocks.IntegerBlock(label="Number of steps")),
                                ("current", wagtail.blocks.IntegerBlock(label="Current step")),
                                (
                                    "steps",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "step",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        ("title", wagtail.blocks.CharBlock(label="Title")),
                                                        ("detail", wagtail.blocks.TextBlock(label="Detail")),
                                                    ],
                                                    label="Step",
                                                ),
                                            )
                                        ],
                                        label="Steps",
                                    ),
                                ),
                            ],
                            label="Stepper",
                        ),
                    ),
                    (
                        "tags_list",
                        wagtail.blocks.StreamBlock(
                            [
                                (
                                    "tag",
                                    wagtail.blocks.StructBlock(
                                        [
                                            ("label", wagtail.blocks.CharBlock(label="Title")),
                                            (
                                                "is_small",
                                                wagtail.blocks.BooleanBlock(label="Small tag", required=False),
                                            ),
                                            (
                                                "color",
                                                wagtail.blocks.ChoiceBlock(
                                                    choices=[
                                                        ("green-tilleul-verveine", "Tilleul verveine"),
                                                        ("green-bourgeon", "Bourgeon"),
                                                        ("green-emeraude", "Émeraude"),
                                                        ("green-menthe", "Menthe"),
                                                        ("green-archipel", "Archipel"),
                                                        ("blue-ecume", "Écume"),
                                                        ("blue-cumulus", "Cumulus"),
                                                        ("purple-glycine", "Glycine"),
                                                        ("pink-macaron", "Macaron"),
                                                        ("pink-tuile", "Tuile"),
                                                        ("yellow-tournesol", "Tournesol"),
                                                        ("yellow-moutarde", "Moutarde"),
                                                        ("orange-terre-battue", "Terre battue"),
                                                        ("brown-cafe-creme", "Café crème"),
                                                        ("brown-caramel", "Caramel"),
                                                        ("brown-opera", "Opéra"),
                                                        ("beige-gris-galet", "Gris galet"),
                                                    ],
                                                    help_text="Only for clickable tags",
                                                    label="Tag color",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "icon_class",
                                                content_manager.blocks.IconPickerBlock(label="Icon", required=False),
                                            ),
                                            (
                                                "link",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                label="Page",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "external_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use either this or the Page parameter.",
                                                                label="External URL",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    required=False,
                                                ),
                                            ),
                                        ],
                                        label="Tag",
                                    ),
                                )
                            ],
                            label="Tag list",
                        ),
                    ),
                    ("markdown", wagtailmarkdown.blocks.MarkdownBlock(label="Markdown")),
                    (
                        "separator",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "top_margin",
                                    wagtail.blocks.IntegerBlock(
                                        default=3, label="Top margin", max_value=15, min_value=0
                                    ),
                                ),
                                (
                                    "bottom_margin",
                                    wagtail.blocks.IntegerBlock(
                                        default=3, label="Bottom margin", max_value=15, min_value=0
                                    ),
                                ),
                            ],
                            label="Separator",
                        ),
                    ),
                    (
                        "multicolumns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "bg_image",
                                    wagtail.images.blocks.ImageChooserBlock(label="Background image", required=False),
                                ),
                                (
                                    "bg_color_class",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            (
                                                "Primary colors",
                                                [("blue-france", "Blue France"), ("red-marianne", "Red Marianne")],
                                            ),
                                            ("Neutral colors", [("grey", "Grey")]),
                                            (
                                                "Illustration colors",
                                                [
                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                    ("green-bourgeon", "Bourgeon"),
                                                    ("green-emeraude", "Émeraude"),
                                                    ("green-menthe", "Menthe"),
                                                    ("green-archipel", "Archipel"),
                                                    ("blue-ecume", "Écume"),
                                                    ("blue-cumulus", "Cumulus"),
                                                    ("purple-glycine", "Glycine"),
                                                    ("pink-macaron", "Macaron"),
                                                    ("pink-tuile", "Tuile"),
                                                    ("yellow-tournesol", "Tournesol"),
                                                    ("yellow-moutarde", "Moutarde"),
                                                    ("orange-terre-battue", "Terre battue"),
                                                    ("brown-cafe-creme", "Café crème"),
                                                    ("brown-caramel", "Caramel"),
                                                    ("brown-opera", "Opéra"),
                                                    ("beige-gris-galet", "Gris galet"),
                                                ],
                                            ),
                                        ],
                                        help_text="Uses the French Design System colors",
                                        label="Background color",
                                        required=False,
                                    ),
                                ),
                                (
                                    "bg_color",
                                    wagtail.blocks.RegexBlock(
                                        error_messages={"invalid": "Incorrect color format, must be #fff or #f5f5f5"},
                                        help_text="This field is obsolete and will be removed in the near future. Replace it with the background color.",
                                        label="Background color, hexadecimal format (obsolete)",
                                        regex="^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$",
                                        required=False,
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="Title", required=False)),
                                (
                                    "heading_tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h2", "Heading 2"),
                                            ("h3", "Heading 3"),
                                            ("h4", "Heading 4"),
                                            ("h5", "Heading 5"),
                                            ("h6", "Heading 6"),
                                            ("p", "Paragraph"),
                                        ],
                                        help_text="Adapt to the page layout. Defaults to heading 2.",
                                        label="Heading level",
                                        required=False,
                                    ),
                                ),
                                (
                                    "columns",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                            (
                                                "image",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "Heading 2"),
                                                                    ("h3", "Heading 3"),
                                                                    ("h4", "Heading 4"),
                                                                    ("h5", "Heading 5"),
                                                                    ("h6", "Heading 6"),
                                                                    ("p", "Paragraph"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "alt",
                                                            wagtail.blocks.CharBlock(
                                                                label="Alternative text (textual description of the image)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "width",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-content-media--sm", "Small"),
                                                                    ("", "Medium"),
                                                                    ("fr-content-media--lg", "Large"),
                                                                ],
                                                                label="Witdh",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-ratio-32x9", "32x9"),
                                                                    ("fr-ratio-16x9", "16x9"),
                                                                    ("fr-ratio-3x2", "3x2"),
                                                                    ("fr-ratio-4x3", "4x3"),
                                                                    ("fr-ratio-1x1", "1x1"),
                                                                    ("fr-ratio-3x4", "3x4"),
                                                                    ("fr-ratio-2x3", "2x3"),
                                                                ],
                                                                label="Image ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                                                    ],
                                                    label="Image",
                                                ),
                                            ),
                                            (
                                                "video",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Video title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                                                label="Video URL",
                                                            ),
                                                        ),
                                                        (
                                                            "width",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-content-media--sm", "Small"),
                                                                    ("", "Medium"),
                                                                    ("fr-content-media--lg", "Large"),
                                                                ],
                                                                label="Witdh",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-ratio-16x9", "16x9"),
                                                                    ("fr-ratio-4x3", "4x3"),
                                                                    ("fr-ratio-1x1", "1x1"),
                                                                ],
                                                                label="Video ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "transcription",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "title",
                                                                        wagtail.blocks.CharBlock(
                                                                            default="Transcription",
                                                                            label="Title",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "content",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            label="Transcription content",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Transcription",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Video",
                                                ),
                                            ),
                                            (
                                                "transcription",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                default="Transcription", label="Title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Transcription content", required=False
                                                            ),
                                                        ),
                                                    ],
                                                    label="Transcription",
                                                ),
                                            ),
                                            (
                                                "quote",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                                        (
                                                            "author_name",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author name", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "author_title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                                    ("green-bourgeon", "Bourgeon"),
                                                                    ("green-emeraude", "Émeraude"),
                                                                    ("green-menthe", "Menthe"),
                                                                    ("green-archipel", "Archipel"),
                                                                    ("blue-ecume", "Écume"),
                                                                    ("blue-cumulus", "Cumulus"),
                                                                    ("purple-glycine", "Glycine"),
                                                                    ("pink-macaron", "Macaron"),
                                                                    ("pink-tuile", "Tuile"),
                                                                    ("yellow-tournesol", "Tournesol"),
                                                                    ("yellow-moutarde", "Moutarde"),
                                                                    ("orange-terre-battue", "Terre battue"),
                                                                    ("brown-cafe-creme", "Café crème"),
                                                                    ("brown-caramel", "Caramel"),
                                                                    ("brown-opera", "Opéra"),
                                                                    ("beige-gris-galet", "Gris galet"),
                                                                ],
                                                                label="Color",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Quote",
                                                ),
                                            ),
                                            (
                                                "text_cta",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Rich text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "cta_label",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="The link appears as a button under the text block",
                                                                label="Call to action label",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "cta_url",
                                                            wagtail.blocks.CharBlock(label="Link", required=False),
                                                        ),
                                                    ],
                                                    label="Text and call to action",
                                                ),
                                            ),
                                            (
                                                "iframe",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Accessibility: The title should describe, in a clear and concise manner, the embedded content.",
                                                                label="Title",
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Example for Tally: https://tally.so/embed/w2jMRa",
                                                                label="URL of the iframe",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(label="Height (in pixels)"),
                                                        ),
                                                    ],
                                                    label="Iframe",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        ("title", wagtail.blocks.CharBlock(label="Title")),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "Heading 2"),
                                                                    ("h3", "Heading 3"),
                                                                    ("h4", "Heading 4"),
                                                                    ("h5", "Heading 5"),
                                                                    ("h6", "Heading 6"),
                                                                    ("p", "Paragraph"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.TextBlock(
                                                                help_text="Can contain HTML.",
                                                                label="Content",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-ratio-32x9", "32x9"),
                                                                    ("fr-ratio-16x9", "16x9"),
                                                                    ("fr-ratio-3x2", "3x2"),
                                                                    ("fr-ratio-4x3", "4x3"),
                                                                    ("fr-ratio-1x1", "1x1"),
                                                                    ("fr-ratio-3x4", "3x4"),
                                                                    ("fr-ratio-2x3", "2x3"),
                                                                ],
                                                                label="Image ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image_badge",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "badge",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "text",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Badge label",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "",
                                                                                                [
                                                                                                    ("new", "New"),
                                                                                                    ("grey", "Grey"),
                                                                                                ],
                                                                                            ),
                                                                                            (
                                                                                                "System colors",
                                                                                                [
                                                                                                    ("info", "Info"),
                                                                                                    (
                                                                                                        "success",
                                                                                                        "Success",
                                                                                                    ),
                                                                                                    (
                                                                                                        "warning",
                                                                                                        "Warning",
                                                                                                    ),
                                                                                                    ("error", "Error"),
                                                                                                ],
                                                                                            ),
                                                                                            (
                                                                                                "Illustration colors",
                                                                                                [
                                                                                                    (
                                                                                                        "green-tilleul-verveine",
                                                                                                        "Tilleul verveine",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-bourgeon",
                                                                                                        "Bourgeon",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-emeraude",
                                                                                                        "Émeraude",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-menthe",
                                                                                                        "Menthe",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-archipel",
                                                                                                        "Archipel",
                                                                                                    ),
                                                                                                    (
                                                                                                        "blue-ecume",
                                                                                                        "Écume",
                                                                                                    ),
                                                                                                    (
                                                                                                        "blue-cumulus",
                                                                                                        "Cumulus",
                                                                                                    ),
                                                                                                    (
                                                                                                        "purple-glycine",
                                                                                                        "Glycine",
                                                                                                    ),
                                                                                                    (
                                                                                                        "pink-macaron",
                                                                                                        "Macaron",
                                                                                                    ),
                                                                                                    (
                                                                                                        "pink-tuile",
                                                                                                        "Tuile",
                                                                                                    ),
                                                                                                    (
                                                                                                        "yellow-tournesol",
                                                                                                        "Tournesol",
                                                                                                    ),
                                                                                                    (
                                                                                                        "yellow-moutarde",
                                                                                                        "Moutarde",
                                                                                                    ),
                                                                                                    (
                                                                                                        "orange-terre-battue",
                                                                                                        "Terre battue",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-cafe-creme",
                                                                                                        "Café crème",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-caramel",
                                                                                                        "Caramel",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-opera",
                                                                                                        "Opéra",
                                                                                                    ),
                                                                                                    (
                                                                                                        "beige-gris-galet",
                                                                                                        "Gris galet",
                                                                                                    ),
                                                                                                ],
                                                                                            ),
                                                                                        ],
                                                                                        label="Badge color",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hide_icon",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        label="Hide badge icon",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Badge",
                                                                        ),
                                                                    )
                                                                ],
                                                                help_text="Only used if the card has an image.",
                                                                label="Image area badge",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                group="target", label="Link", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "document",
                                                            wagtail.documents.blocks.DocumentChooserBlock(
                                                                group="target",
                                                                help_text="Select a document to make the card link to it (if the 'Link' field is not populated.)",
                                                                label="or Document",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Top detail: text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_icon",
                                                            content_manager.blocks.IconPickerBlock(
                                                                label="Top detail: icon", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_badges_tags",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "badges",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "badge",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Badge label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "color",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "",
                                                                                                            [
                                                                                                                (
                                                                                                                    "new",
                                                                                                                    "New",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "grey",
                                                                                                                    "Grey",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                        (
                                                                                                            "System colors",
                                                                                                            [
                                                                                                                (
                                                                                                                    "info",
                                                                                                                    "Info",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "success",
                                                                                                                    "Success",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "warning",
                                                                                                                    "Warning",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "error",
                                                                                                                    "Error",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                        (
                                                                                                            "Illustration colors",
                                                                                                            [
                                                                                                                (
                                                                                                                    "green-tilleul-verveine",
                                                                                                                    "Tilleul verveine",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-bourgeon",
                                                                                                                    "Bourgeon",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-emeraude",
                                                                                                                    "Émeraude",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-menthe",
                                                                                                                    "Menthe",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-archipel",
                                                                                                                    "Archipel",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "blue-ecume",
                                                                                                                    "Écume",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "blue-cumulus",
                                                                                                                    "Cumulus",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "purple-glycine",
                                                                                                                    "Glycine",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "pink-macaron",
                                                                                                                    "Macaron",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "pink-tuile",
                                                                                                                    "Tuile",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "yellow-tournesol",
                                                                                                                    "Tournesol",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "yellow-moutarde",
                                                                                                                    "Moutarde",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "orange-terre-battue",
                                                                                                                    "Terre battue",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-cafe-creme",
                                                                                                                    "Café crème",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-caramel",
                                                                                                                    "Caramel",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-opera",
                                                                                                                    "Opéra",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "beige-gris-galet",
                                                                                                                    "Gris galet",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                    ],
                                                                                                    label="Badge color",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "hide_icon",
                                                                                                wagtail.blocks.BooleanBlock(
                                                                                                    label="Hide badge icon",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Badge",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "tags",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "tag",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "label",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Title"
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "is_small",
                                                                                                wagtail.blocks.BooleanBlock(
                                                                                                    label="Small tag",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "color",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "green-tilleul-verveine",
                                                                                                            "Tilleul verveine",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-bourgeon",
                                                                                                            "Bourgeon",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-emeraude",
                                                                                                            "Émeraude",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-menthe",
                                                                                                            "Menthe",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-archipel",
                                                                                                            "Archipel",
                                                                                                        ),
                                                                                                        (
                                                                                                            "blue-ecume",
                                                                                                            "Écume",
                                                                                                        ),
                                                                                                        (
                                                                                                            "blue-cumulus",
                                                                                                            "Cumulus",
                                                                                                        ),
                                                                                                        (
                                                                                                            "purple-glycine",
                                                                                                            "Glycine",
                                                                                                        ),
                                                                                                        (
                                                                                                            "pink-macaron",
                                                                                                            "Macaron",
                                                                                                        ),
                                                                                                        (
                                                                                                            "pink-tuile",
                                                                                                            "Tuile",
                                                                                                        ),
                                                                                                        (
                                                                                                            "yellow-tournesol",
                                                                                                            "Tournesol",
                                                                                                        ),
                                                                                                        (
                                                                                                            "yellow-moutarde",
                                                                                                            "Moutarde",
                                                                                                        ),
                                                                                                        (
                                                                                                            "orange-terre-battue",
                                                                                                            "Terre battue",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-cafe-creme",
                                                                                                            "Café crème",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-caramel",
                                                                                                            "Caramel",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-opera",
                                                                                                            "Opéra",
                                                                                                        ),
                                                                                                        (
                                                                                                            "beige-gris-galet",
                                                                                                            "Gris galet",
                                                                                                        ),
                                                                                                    ],
                                                                                                    help_text="Only for clickable tags",
                                                                                                    label="Tag color",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "icon_class",
                                                                                                content_manager.blocks.IconPickerBlock(
                                                                                                    label="Icon",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "link",
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "page",
                                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                                help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                                label="Page",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "external_url",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                help_text="Use either this or the Page parameter.",
                                                                                                                label="External URL",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Tag",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Top detail: badges or tags",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "bottom_detail_text",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Incompatible with the bottom call-to-action",
                                                                label="Bottom detail: text",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "bottom_detail_icon",
                                                            content_manager.blocks.IconPickerBlock(
                                                                label="Bottom detail: icon", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "call_to_action",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "links",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "page",
                                                                                                wagtail.blocks.PageChooserBlock(
                                                                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                    label="Page",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "external_url",
                                                                                                wagtail.blocks.URLBlock(
                                                                                                    help_text="Use either this or the Page parameter.",
                                                                                                    label="External URL",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Link label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Link",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "buttons",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "button",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "page",
                                                                                                wagtail.blocks.PageChooserBlock(
                                                                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                    label="Page",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "external_url",
                                                                                                wagtail.blocks.URLBlock(
                                                                                                    help_text="Use either this or the Page parameter.",
                                                                                                    label="External URL",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Link label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "button_type",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "fr-btn",
                                                                                                            "Primary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--secondary",
                                                                                                            "Secundary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--tertiary",
                                                                                                            "Tertiary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--tertiary-no-outline",
                                                                                                            "Tertiary without border",
                                                                                                        ),
                                                                                                    ],
                                                                                                    label="Button type",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Button",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                ],
                                                                help_text="Incompatible with the bottom detail text",
                                                                label="Bottom call-to-action: links or buttons",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "grey_background",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card with grey background", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "no_background",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card without background", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "no_border",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card without border", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "shadow",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card with a shadow", required=False
                                                            ),
                                                        ),
                                                    ],
                                                    label="Vertical card",
                                                ),
                                            ),
                                        ],
                                        label="Columns",
                                    ),
                                ),
                            ],
                            group="Page structure",
                            label="Multiple columns",
                        ),
                    ),
                    (
                        "fullwidthbackground",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "bg_image",
                                    wagtail.images.blocks.ImageChooserBlock(label="Background image", required=False),
                                ),
                                (
                                    "bg_color_class",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            (
                                                "Primary colors",
                                                [("blue-france", "Blue France"), ("red-marianne", "Red Marianne")],
                                            ),
                                            ("Neutral colors", [("grey", "Grey")]),
                                            (
                                                "Illustration colors",
                                                [
                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                    ("green-bourgeon", "Bourgeon"),
                                                    ("green-emeraude", "Émeraude"),
                                                    ("green-menthe", "Menthe"),
                                                    ("green-archipel", "Archipel"),
                                                    ("blue-ecume", "Écume"),
                                                    ("blue-cumulus", "Cumulus"),
                                                    ("purple-glycine", "Glycine"),
                                                    ("pink-macaron", "Macaron"),
                                                    ("pink-tuile", "Tuile"),
                                                    ("yellow-tournesol", "Tournesol"),
                                                    ("yellow-moutarde", "Moutarde"),
                                                    ("orange-terre-battue", "Terre battue"),
                                                    ("brown-cafe-creme", "Café crème"),
                                                    ("brown-caramel", "Caramel"),
                                                    ("brown-opera", "Opéra"),
                                                    ("beige-gris-galet", "Gris galet"),
                                                ],
                                            ),
                                        ],
                                        help_text="Uses the French Design System colors",
                                        label="Background color",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                            (
                                                "image",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(label="Title", required=False),
                                                        ),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "Heading 2"),
                                                                    ("h3", "Heading 3"),
                                                                    ("h4", "Heading 4"),
                                                                    ("h5", "Heading 5"),
                                                                    ("h6", "Heading 6"),
                                                                    ("p", "Paragraph"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "alt",
                                                            wagtail.blocks.CharBlock(
                                                                label="Alternative text (textual description of the image)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "width",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-content-media--sm", "Small"),
                                                                    ("", "Medium"),
                                                                    ("fr-content-media--lg", "Large"),
                                                                ],
                                                                label="Witdh",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-ratio-32x9", "32x9"),
                                                                    ("fr-ratio-16x9", "16x9"),
                                                                    ("fr-ratio-3x2", "3x2"),
                                                                    ("fr-ratio-4x3", "4x3"),
                                                                    ("fr-ratio-1x1", "1x1"),
                                                                    ("fr-ratio-3x4", "3x4"),
                                                                    ("fr-ratio-2x3", "2x3"),
                                                                ],
                                                                label="Image ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        ("url", wagtail.blocks.URLBlock(label="Link", required=False)),
                                                    ],
                                                    label="Image",
                                                ),
                                            ),
                                            (
                                                "video",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Video title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.CharBlock(label="Caption", required=False),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Use embed format (e.g. : https://www.youtube.com/embed/gLzXOViPX-0)",
                                                                label="Video URL",
                                                            ),
                                                        ),
                                                        (
                                                            "width",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-content-media--sm", "Small"),
                                                                    ("", "Medium"),
                                                                    ("fr-content-media--lg", "Large"),
                                                                ],
                                                                label="Witdh",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-ratio-16x9", "16x9"),
                                                                    ("fr-ratio-4x3", "4x3"),
                                                                    ("fr-ratio-1x1", "1x1"),
                                                                ],
                                                                label="Video ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "transcription",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "title",
                                                                        wagtail.blocks.CharBlock(
                                                                            default="Transcription",
                                                                            label="Title",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "content",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            label="Transcription content",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Transcription",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Video",
                                                ),
                                            ),
                                            (
                                                "transcription",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                default="Transcription", label="Title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Transcription content", required=False
                                                            ),
                                                        ),
                                                    ],
                                                    label="Transcription",
                                                ),
                                            ),
                                            (
                                                "quote",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        ("quote", wagtail.blocks.CharBlock(label="Quote")),
                                                        (
                                                            "author_name",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author name", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "author_title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Author title", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("green-tilleul-verveine", "Tilleul verveine"),
                                                                    ("green-bourgeon", "Bourgeon"),
                                                                    ("green-emeraude", "Émeraude"),
                                                                    ("green-menthe", "Menthe"),
                                                                    ("green-archipel", "Archipel"),
                                                                    ("blue-ecume", "Écume"),
                                                                    ("blue-cumulus", "Cumulus"),
                                                                    ("purple-glycine", "Glycine"),
                                                                    ("pink-macaron", "Macaron"),
                                                                    ("pink-tuile", "Tuile"),
                                                                    ("yellow-tournesol", "Tournesol"),
                                                                    ("yellow-moutarde", "Moutarde"),
                                                                    ("orange-terre-battue", "Terre battue"),
                                                                    ("brown-cafe-creme", "Café crème"),
                                                                    ("brown-caramel", "Caramel"),
                                                                    ("brown-opera", "Opéra"),
                                                                    ("beige-gris-galet", "Gris galet"),
                                                                ],
                                                                label="Color",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Quote",
                                                ),
                                            ),
                                            (
                                                "text_cta",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Rich text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "cta_label",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="The link appears as a button under the text block",
                                                                label="Call to action label",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "cta_url",
                                                            wagtail.blocks.CharBlock(label="Link", required=False),
                                                        ),
                                                    ],
                                                    label="Text and call to action",
                                                ),
                                            ),
                                            (
                                                "iframe",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Accessibility: The title should describe, in a clear and concise manner, the embedded content.",
                                                                label="Title",
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Example for Tally: https://tally.so/embed/w2jMRa",
                                                                label="URL of the iframe",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(label="Height (in pixels)"),
                                                        ),
                                                    ],
                                                    label="Iframe",
                                                ),
                                            ),
                                            (
                                                "image_and_text",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(label="Image"),
                                                        ),
                                                        (
                                                            "image_side",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[("left", "Left"), ("right", "Right")],
                                                                label="Side where the image is displayed",
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[("3", "3/12"), ("5", "5/12"), ("6", "6/12")],
                                                                label="Image width",
                                                            ),
                                                        ),
                                                        ("text", wagtail.blocks.RichTextBlock(label="Rich text")),
                                                        (
                                                            "link",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "page",
                                                                        wagtail.blocks.PageChooserBlock(
                                                                            help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                            label="Page",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "external_url",
                                                                        wagtail.blocks.URLBlock(
                                                                            help_text="Use either this or the Page parameter.",
                                                                            label="External URL",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Link label", required=False
                                                                        ),
                                                                    ),
                                                                ],
                                                                help_text="The link is shown at the bottom of the text block, with an arrow",
                                                                label="Link",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link_label",
                                                            wagtail.blocks.CharBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Link label (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Internal link (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link_url",
                                                            wagtail.blocks.URLBlock(
                                                                group="obsolete",
                                                                help_text="This field is obsolete and will be removed in the near future. Please replace with the Link field above.",
                                                                label="Link URL (obsolete)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Image and text",
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        ("title", wagtail.blocks.CharBlock(label="Title")),
                                                        (
                                                            "heading_tag",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("h2", "Heading 2"),
                                                                    ("h3", "Heading 3"),
                                                                    ("h4", "Heading 4"),
                                                                    ("h5", "Heading 5"),
                                                                    ("h6", "Heading 6"),
                                                                    ("p", "Paragraph"),
                                                                ],
                                                                help_text="Adapt to the page layout. Defaults to heading 3.",
                                                                label="Heading level",
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.TextBlock(
                                                                help_text="Can contain HTML.",
                                                                label="Content",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Image", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "image_ratio",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("fr-card--horizontal-tier", "1/3"),
                                                                    ("fr-card--horizontal-half", "50/50"),
                                                                ],
                                                                label="Image ratio",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image_badge",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "badge",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "text",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Badge label",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "",
                                                                                                [
                                                                                                    ("new", "New"),
                                                                                                    ("grey", "Grey"),
                                                                                                ],
                                                                                            ),
                                                                                            (
                                                                                                "System colors",
                                                                                                [
                                                                                                    ("info", "Info"),
                                                                                                    (
                                                                                                        "success",
                                                                                                        "Success",
                                                                                                    ),
                                                                                                    (
                                                                                                        "warning",
                                                                                                        "Warning",
                                                                                                    ),
                                                                                                    ("error", "Error"),
                                                                                                ],
                                                                                            ),
                                                                                            (
                                                                                                "Illustration colors",
                                                                                                [
                                                                                                    (
                                                                                                        "green-tilleul-verveine",
                                                                                                        "Tilleul verveine",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-bourgeon",
                                                                                                        "Bourgeon",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-emeraude",
                                                                                                        "Émeraude",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-menthe",
                                                                                                        "Menthe",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-archipel",
                                                                                                        "Archipel",
                                                                                                    ),
                                                                                                    (
                                                                                                        "blue-ecume",
                                                                                                        "Écume",
                                                                                                    ),
                                                                                                    (
                                                                                                        "blue-cumulus",
                                                                                                        "Cumulus",
                                                                                                    ),
                                                                                                    (
                                                                                                        "purple-glycine",
                                                                                                        "Glycine",
                                                                                                    ),
                                                                                                    (
                                                                                                        "pink-macaron",
                                                                                                        "Macaron",
                                                                                                    ),
                                                                                                    (
                                                                                                        "pink-tuile",
                                                                                                        "Tuile",
                                                                                                    ),
                                                                                                    (
                                                                                                        "yellow-tournesol",
                                                                                                        "Tournesol",
                                                                                                    ),
                                                                                                    (
                                                                                                        "yellow-moutarde",
                                                                                                        "Moutarde",
                                                                                                    ),
                                                                                                    (
                                                                                                        "orange-terre-battue",
                                                                                                        "Terre battue",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-cafe-creme",
                                                                                                        "Café crème",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-caramel",
                                                                                                        "Caramel",
                                                                                                    ),
                                                                                                    (
                                                                                                        "brown-opera",
                                                                                                        "Opéra",
                                                                                                    ),
                                                                                                    (
                                                                                                        "beige-gris-galet",
                                                                                                        "Gris galet",
                                                                                                    ),
                                                                                                ],
                                                                                            ),
                                                                                        ],
                                                                                        label="Badge color",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hide_icon",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        label="Hide badge icon",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Badge",
                                                                        ),
                                                                    )
                                                                ],
                                                                help_text="Only used if the card has an image.",
                                                                label="Image area badge",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "url",
                                                            wagtail.blocks.URLBlock(
                                                                group="target", label="Link", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "document",
                                                            wagtail.documents.blocks.DocumentChooserBlock(
                                                                group="target",
                                                                help_text="Select a document to make the card link to it (if the 'Link' field is not populated.)",
                                                                label="or Document",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Top detail: text", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_icon",
                                                            content_manager.blocks.IconPickerBlock(
                                                                label="Top detail: icon", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "top_detail_badges_tags",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "badges",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "badge",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Badge label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "color",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "",
                                                                                                            [
                                                                                                                (
                                                                                                                    "new",
                                                                                                                    "New",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "grey",
                                                                                                                    "Grey",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                        (
                                                                                                            "System colors",
                                                                                                            [
                                                                                                                (
                                                                                                                    "info",
                                                                                                                    "Info",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "success",
                                                                                                                    "Success",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "warning",
                                                                                                                    "Warning",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "error",
                                                                                                                    "Error",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                        (
                                                                                                            "Illustration colors",
                                                                                                            [
                                                                                                                (
                                                                                                                    "green-tilleul-verveine",
                                                                                                                    "Tilleul verveine",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-bourgeon",
                                                                                                                    "Bourgeon",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-emeraude",
                                                                                                                    "Émeraude",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-menthe",
                                                                                                                    "Menthe",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "green-archipel",
                                                                                                                    "Archipel",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "blue-ecume",
                                                                                                                    "Écume",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "blue-cumulus",
                                                                                                                    "Cumulus",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "purple-glycine",
                                                                                                                    "Glycine",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "pink-macaron",
                                                                                                                    "Macaron",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "pink-tuile",
                                                                                                                    "Tuile",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "yellow-tournesol",
                                                                                                                    "Tournesol",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "yellow-moutarde",
                                                                                                                    "Moutarde",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "orange-terre-battue",
                                                                                                                    "Terre battue",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-cafe-creme",
                                                                                                                    "Café crème",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-caramel",
                                                                                                                    "Caramel",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "brown-opera",
                                                                                                                    "Opéra",
                                                                                                                ),
                                                                                                                (
                                                                                                                    "beige-gris-galet",
                                                                                                                    "Gris galet",
                                                                                                                ),
                                                                                                            ],
                                                                                                        ),
                                                                                                    ],
                                                                                                    label="Badge color",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "hide_icon",
                                                                                                wagtail.blocks.BooleanBlock(
                                                                                                    label="Hide badge icon",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Badge",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "tags",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "tag",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "label",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Title"
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "is_small",
                                                                                                wagtail.blocks.BooleanBlock(
                                                                                                    label="Small tag",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "color",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "green-tilleul-verveine",
                                                                                                            "Tilleul verveine",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-bourgeon",
                                                                                                            "Bourgeon",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-emeraude",
                                                                                                            "Émeraude",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-menthe",
                                                                                                            "Menthe",
                                                                                                        ),
                                                                                                        (
                                                                                                            "green-archipel",
                                                                                                            "Archipel",
                                                                                                        ),
                                                                                                        (
                                                                                                            "blue-ecume",
                                                                                                            "Écume",
                                                                                                        ),
                                                                                                        (
                                                                                                            "blue-cumulus",
                                                                                                            "Cumulus",
                                                                                                        ),
                                                                                                        (
                                                                                                            "purple-glycine",
                                                                                                            "Glycine",
                                                                                                        ),
                                                                                                        (
                                                                                                            "pink-macaron",
                                                                                                            "Macaron",
                                                                                                        ),
                                                                                                        (
                                                                                                            "pink-tuile",
                                                                                                            "Tuile",
                                                                                                        ),
                                                                                                        (
                                                                                                            "yellow-tournesol",
                                                                                                            "Tournesol",
                                                                                                        ),
                                                                                                        (
                                                                                                            "yellow-moutarde",
                                                                                                            "Moutarde",
                                                                                                        ),
                                                                                                        (
                                                                                                            "orange-terre-battue",
                                                                                                            "Terre battue",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-cafe-creme",
                                                                                                            "Café crème",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-caramel",
                                                                                                            "Caramel",
                                                                                                        ),
                                                                                                        (
                                                                                                            "brown-opera",
                                                                                                            "Opéra",
                                                                                                        ),
                                                                                                        (
                                                                                                            "beige-gris-galet",
                                                                                                            "Gris galet",
                                                                                                        ),
                                                                                                    ],
                                                                                                    help_text="Only for clickable tags",
                                                                                                    label="Tag color",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "icon_class",
                                                                                                content_manager.blocks.IconPickerBlock(
                                                                                                    label="Icon",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "link",
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "page",
                                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                                help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                                label="Page",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "external_url",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                help_text="Use either this or the Page parameter.",
                                                                                                                label="External URL",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Tag",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Top detail: badges or tags",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "bottom_detail_text",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Incompatible with the bottom call-to-action",
                                                                label="Bottom detail: text",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "bottom_detail_icon",
                                                            content_manager.blocks.IconPickerBlock(
                                                                label="Bottom detail: icon", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "call_to_action",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "links",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "page",
                                                                                                wagtail.blocks.PageChooserBlock(
                                                                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                    label="Page",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "external_url",
                                                                                                wagtail.blocks.URLBlock(
                                                                                                    help_text="Use either this or the Page parameter.",
                                                                                                    label="External URL",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Link label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Link",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "buttons",
                                                                        wagtail.blocks.StreamBlock(
                                                                            [
                                                                                (
                                                                                    "button",
                                                                                    wagtail.blocks.StructBlock(
                                                                                        [
                                                                                            (
                                                                                                "page",
                                                                                                wagtail.blocks.PageChooserBlock(
                                                                                                    help_text="Link to a page of this site. Use either this or the external URL parameter.",
                                                                                                    label="Page",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "external_url",
                                                                                                wagtail.blocks.URLBlock(
                                                                                                    help_text="Use either this or the Page parameter.",
                                                                                                    label="External URL",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "text",
                                                                                                wagtail.blocks.CharBlock(
                                                                                                    label="Link label",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                            (
                                                                                                "button_type",
                                                                                                wagtail.blocks.ChoiceBlock(
                                                                                                    choices=[
                                                                                                        (
                                                                                                            "fr-btn",
                                                                                                            "Primary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--secondary",
                                                                                                            "Secundary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--tertiary",
                                                                                                            "Tertiary",
                                                                                                        ),
                                                                                                        (
                                                                                                            "fr-btn fr-btn--tertiary-no-outline",
                                                                                                            "Tertiary without border",
                                                                                                        ),
                                                                                                    ],
                                                                                                    label="Button type",
                                                                                                    required=False,
                                                                                                ),
                                                                                            ),
                                                                                        ],
                                                                                        label="Button",
                                                                                    ),
                                                                                )
                                                                            ]
                                                                        ),
                                                                    ),
                                                                ],
                                                                help_text="Incompatible with the bottom detail text",
                                                                label="Bottom call-to-action: links or buttons",
                                                                max_num=1,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "grey_background",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card with grey background", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "no_background",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card without background", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "no_border",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card without border", required=False
                                                            ),
                                                        ),
                                                        (
                                                            "shadow",
                                                            wagtail.blocks.BooleanBlock(
                                                                label="Card with a shadow", required=False
                                                            ),
                                                        ),
                                                    ],
                                                    label="Horizontal card",
                                                ),
                                            ),
                                        ],
                                        label="Content",
                                    ),
                                ),
                            ],
                            group="Page structure",
                            label="Full width background",
                        ),
                    ),
                    (
                        "html",
                        wagtail.blocks.RawHTMLBlock(
                            help_text="Warning: Use HTML block with caution. Malicious code can compromise the security of the site.",
                            readonly=True,
                        ),
                    ),
                ],
                blank=True,
            ),
        ),
    ]
